{-# LANGUAGE DerivingStrategies #-}

module Opaleye.TextSearch.Internal.Types where

import Opaleye.Internal.PGTypes (IsSqlType(..))

-- | A dictionary: https://www.postgresql.org/docs/current/textsearch-dictionaries.html
newtype Dictionary = Dictionary { getDictionary :: String }
  deriving stock Eq
  deriving newtype Show

data SqlTSQuery
data SqlTSVector

instance IsSqlType SqlTSQuery where
  showSqlType _ = "tsquery"
